export default SLAConditionsAPI;
declare namespace SLAConditionsAPI {
    export { getConditionsList as getList };
    export { getCondition as get };
    export { updateCondition as update };
    export { deleteCondition as delete };
    export { addCondition as add };
    export { getLookup };
}
declare function getConditionsList({ parentId, ...rest }: {
    [x: string]: any;
    parentId: any;
}): Promise<{
    items: any;
    next: any;
}>;
declare function getCondition({ parentId, itemId: id }: {
    parentId: any;
    itemId: any;
}): Promise<any>;
declare function updateCondition({ itemInstance, itemId: id }: {
    itemInstance: any;
    itemId: any;
}): Promise<any>;
declare function deleteCondition({ id, parentId }: {
    id: any;
    parentId: any;
}): Promise<any>;
declare function addCondition({ itemInstance, parentId }: {
    itemInstance: any;
    parentId: any;
}): Promise<any>;
declare function getLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
